Eclipse Help Server cross-site scripting sérülékenységek

CH azonosító

CH-3950

Angol cím

Eclipse Help Server Two Cross-Site Scripting Vulnerabilities

Felfedezés dátuma

2010.11.16.

Súlyosság

Alacsony

Érintett rendszerek

Eclipse
Eclipse Foundation

Érintett verziók

Eclipse 3.x

Összefoglaló

Az Eclipse két olyan sérülékenységét jelentették, melyeket a támadók kihasználhatnak cross-site scripting (XSS) támadások indítására.

Leírás

A help/index.jsp és a help/advanced/content.jsp részére az URL-en keresztül átadott bemenet nincs megfelelően ellenőrizve mielőtt visszakerül a felhasználóhoz. Ez kihasználható tetszőleges HTML és script kód lefuttatására, míg a felhasználó a beágyazott Help Server oldalt böngészi.

A sérülékenységeket a 3.6.1. verzióban jelentették. Más verziók is érintettek lehetnek.

Megoldás

Telepítse a javítócsomagokat

Megoldás

Javítva a fejlesztői verzióban.